package musr.client.dbreader;
import java.io.*;

/**
 * Interface that is implemented by the File and URL Line Readers
 * Since the URL will probably not be used, this interface is unnecessary
 *
 * @author Ivan Tucakov, Nikola Tucakov
 */
public interface LineReader extends java.io.Serializable  {
  static final long serialVersionUID = 0L; // SUID
		public String matchLine(String pattern) throws IOException;
		public String readLine() throws IOException;
}
