//: MuSR_IndVar.java

package musr.spect;


public class MuSR_IndVar implements java.io.Serializable {

  public int IndVarNum;
  public double low, high, mean, stddev, skew;
  public String name, descr, units;

  /* IndVar print method */
  public void print () {
    System.out.print ( "\n Indep. Variable #"+IndVarNum+" (\""+name+"\"): " );
    System.out.print ( "\n\t"+descr+" ["+units+"]\n" );
    System.out.print ( " low= "+low+", ");
    System.out.print ( "mean= "+mean+", ");
    System.out.print ( "high= "+high+", ");
    System.out.print ( "\n\tstddev= "+stddev+", ");
    System.out.print ( "skew= "+skew+"\n");
  }

  /* IndVar prettyPrint method */
  public void prettyPrint () {
    System.out.print ( "\n Indep. Variable #"+IndVarNum+" (\""+name+"\"):  " );
    System.out.print ( descr+" ["+units+"]\n" );
    System.out.print ( " low= "+low+", ");
    System.out.print ( "mean= "+mean+", ");
    System.out.print ( "high= "+high+", ");
    System.out.print ( "\n\tstddev= "+stddev+", ");
    System.out.print ( "skew= "+skew+"\n");
  }

  /* IndVar flexdb (special format print) method */
  public void flexdb () {
    System.out.print ( "IV"+IndVarNum+"name="+name+"\n" );
    System.out.print ( "IV"+IndVarNum+"desc="+descr+"\n" );
    System.out.print ( "IV"+IndVarNum+"unit="+units+"\n" );
    System.out.print ( "IV"+IndVarNum+"lo="+low+"\n" );
    System.out.print ( "IV"+IndVarNum+"hi="+high+"\n" );
    System.out.print ( "IV"+IndVarNum+"mean="+mean+"\n" );
    System.out.print ( "IV"+IndVarNum+"stdv="+stddev+"\n" );
    System.out.print ( "IV"+IndVarNum+"skew="+skew+"\n" );
  }

  /* IndVar csv (special format print) method */
  public void csv () {
    System.out.print ( "\"[IND_VAR]\",\""+IndVarNum+"\"," );
    System.out.print ( "\""+name+"\"," );
    System.out.print ( "\""+descr+"\"," );
    System.out.print ( "\""+units+"\"," );
    System.out.print ( "\""+low+"\"," );
    System.out.print ( "\""+high+"\"," );
    System.out.print ( "\""+mean+"\"," );
    System.out.print ( "\""+stddev+"\"," );
    System.out.print ( "\""+skew+"\"\n");
  }

}
