package musr.client.gui;
import musr.client.datacolumn.*;
import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.print.*;
import javax.swing.*;
import java.lang.*;
import java.util.*;
import java.net.URL;

/**
 * This class is used to inform the user that the muView is busy
 * @author Ivan Tucakov
 */
public class BusyApplet extends Canvas implements java.io.Serializable {

  /* Constructor method */
  public BusyApplet() {}

  public void update(Graphics g) {
    g.clearRect(0, 0, this.getSize().width, this.getSize().height);
    paint(g);
  }

  public void paint(Graphics g) {
    try {
      this.setBackground(Color.white);
      g.clearRect(0, 0, this.getSize().width, this.getSize().height);
      g.drawString("busy", 30, 30);
      URL precessURL = new java.net.URL("http://musr.org/muview/images/precess.gif");
      Image precessImage = Toolkit.getDefaultToolkit().getImage(precessURL);
      //Image precessImage = this.getImage(precessURL);
      g.drawImage(precessImage, 0, 0, this);
    }  catch (Exception e) { System.err.println(e.getMessage()); }
    this.setSize(new Dimension(55, 20));
    this.setLocation(100,200);
  }

}