package musr.client.plot2d;
import java.awt.*;

/**
 * Holds values for various options we can choose from when designing the plot.
 * It is used mainly by PlotOPtionsFrame class.
 *
 * @author Ivan Tucakov, Nikola Tucakov
 */
public class PlotOptionConstants implements java.io.Serializable {

  static final long serialVersionUID = 0L; // SUID
    // No Constructor

    /* Constants */

    public static final String AXIS_TYPE[] = {"LinearAxis", "LogAxis", "InverseAxis"};
    // Colors
    public static final Color COLOR[] =
      { Color.black, Color.red, Color.blue, Color.green, Color.orange,
        Color.magenta, Color.cyan, Color.darkGray, Color.pink,
        Color.gray, Color.white, Color.lightGray };

    // Fonts
    public static final String FONT_TYPE[] =
       { "Serif", "SansSerif","Monospaced","Dialog", "DialogInput" };
    public static final int FONT_STYLE[] =
        { Font.PLAIN, Font.BOLD, Font.ITALIC };

}
