package musr.spect;

public class MuSR_PackingException extends Exception {

  String errmsg;

  public MuSR_PackingException() {
    errmsg = "Histogram does not obey MuSR packing!";
  }

  public MuSR_PackingException(int jh) {
    errmsg = "Histogram " + jh + " does not obey MuSR packing!";
  }

  public MuSR_PackingException(int nb1, int nb2) {
    errmsg = "Inconsistent # of bytes in MuSR Histogram: "
      + nb1 + " != " + nb2;
  }

  public String toString() {
    return errmsg;
  }

}
