//: MuSR_TDiHist.java

package musr.spect;

import musr.client.datacolumn.LinearColumn;
import musr.client.datacolumn.PoissonDataColumn;

public class MuSR_TDiHist implements java.io.Serializable {

  public int runNumber;     // Run number
  public int histNumber;    // Histogram number
  public int nBins;         // number of bins in this Histogram
  public int nEvents;       // total number of events in Histogram
  public double nsPerBin;   // nanoseconds per packed bin
  public double t1_ns;      // time at centre of first bin [nanosec]
  public double t2_ns;      // time at centre of last bin [nanosec]
  public int packing;
  public double bkgdPerBin; // estimated t<0 Background per bin
  public String title;      // Run number & title
  public String label;      // This Histogram's subtitle

    public LinearColumn xxx;  // Independent variable (usually Time)

    public PoissonDataColumn nnn;  // Counts per Packed Bin

}
